package it.integry.integrywmsnative.gest.prod_versamento_materiale.dto;

import androidx.databinding.ObservableField;

import java.math.BigDecimal;

import it.integry.integrywmsnative.core.di.BindableBoolean;
import it.integry.integrywmsnative.core.model.MtbColr;

public class MtbColrVersamentoMaterialeListModel {

    private String preDescriptionText;
    private String descriptionText;
    private String subDescriptionText;

    private final ObservableField<BigDecimal> kgBigDecimal = new ObservableField<>(BigDecimal.ZERO);
    private final ObservableField<BigDecimal> qtaBigDecimal = new ObservableField<>(BigDecimal.ZERO);

    private MtbColr originalMtbColr;
    private OrdineLavorazioneDTO originalOrdineLavorazione;

    private BindableBoolean selected = new BindableBoolean();

    public String getPreDescriptionText() {
        return preDescriptionText;
    }

    public MtbColrVersamentoMaterialeListModel setPreDescriptionText(String preDescriptionText) {
        this.preDescriptionText = preDescriptionText;
        return this;
    }

    public String getDescriptionText() {
        return descriptionText;
    }

    public MtbColrVersamentoMaterialeListModel setDescriptionText(String descriptionText) {
        this.descriptionText = descriptionText;
        return this;
    }

    public String getSubDescriptionText() {
        return subDescriptionText;
    }

    public MtbColrVersamentoMaterialeListModel setSubDescriptionText(String subDescriptionText) {
        this.subDescriptionText = subDescriptionText;
        return this;
    }

    public BigDecimal getKgBigDecimal() {
        return kgBigDecimal.get();
    }

    public MtbColrVersamentoMaterialeListModel setKgBigDecimal(BigDecimal kgBigDecimal) {
        this.kgBigDecimal.set(kgBigDecimal);
        return this;
    }

    public BigDecimal getQtaBigDecimal() {
        return qtaBigDecimal.get();
    }

    public MtbColrVersamentoMaterialeListModel setQtaBigDecimal(BigDecimal qtaBigDecimal) {
        this.qtaBigDecimal.set(qtaBigDecimal);
        return this;
    }

    public MtbColr getOriginalMtbColr() {
        return originalMtbColr;
    }

    public MtbColrVersamentoMaterialeListModel setOriginalMtbColr(MtbColr originalMtbColr) {
        this.originalMtbColr = originalMtbColr;
        return this;
    }

    public OrdineLavorazioneDTO getOriginalOrdineLavorazione() {
        return originalOrdineLavorazione;
    }

    public MtbColrVersamentoMaterialeListModel setOriginalOrdineLavorazione(OrdineLavorazioneDTO originalOrdineLavorazione) {
        this.originalOrdineLavorazione = originalOrdineLavorazione;
        return this;
    }

    public BindableBoolean getSelected() {
        return selected;
    }
}
